Subject: Re: bug#27736: OSX 10.6.8: Building from master branch fails.

From: [email-masked] (Charles A. Roelli)
Date: Sat, 31 Mar 2018 17:02:07 +0200

> From: Paul Eggert <[email-masked]>
> Organization: UCLA Computer Science Department
> Date: Wed, 28 Mar 2018 14:29:38 -0700
> 
> On 03/28/2018 11:54 AM, Charles A. Roelli wrote:
> >
> > -            time_t t = -67768038400665600;
> > +            time_t t = -67768038400666600;
> 
> Thanks, I did that in Gnulib and propagated the result into Emacs master 
> (see attached patch).
> 
> > And then I got the following in the output of ./configure:
> >
> >    checking whether localtime loops forever near extrema... ./configure: line 30561: 35760 Alarm clock             TZ=QQQ0 ./conftest$EXEEXT
> 
> Thanks for mentioning that; I attempted to suppress the "Alarm clock" 
> stuff in the attached patch too.

Thank you.  Strangely, it looks like it still prints the invocation,
however:

  checking whether localtime loops forever near extrema... ./configure: line 30562: 55052 Alarm clock             ( TZ=QQQ0 ./conftest$EXEEXT ) > /dev/null 2>&1
  yes

Not sure why that is still so.

> > I will try to find the exact boundary of the hang again.  And the hang
> > is timezone-dependent, so that complicates things too.
> 
> I think we should be OK here, as the test case uses UTC so that it is 
> reproducible. The use of UTC could explain why the abovementioned 
> numeric change was needed.

Thanks, it should be okay to leave it at that.  (I hadn't realized the
test case was using UTC.)